--- title: "Get stop word policy list" slug: "analytics-cloudsearch-getstopwordlist" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getstopwordlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get stop word policy list **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets a list of stop word policies. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/stopword ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | | hasWordList | N | boolean | Default: false | Indicates whether to include stop words in the result. | ## Response | Field | Required | Type | Description | Note | | --- | --- | --- | --- | --- | | [].type | Y | string | filter, exact | Stop word rule typefilter: Partial matching, which removes a search term if part of it matches the registered stop word.exact: Exact matching, which removes a search term if it exactly match the registered stop word. | | [].case_sensitive | Yes | boolean | true, false | | | Whether words set with Stopword are case sensitive | | | | | | [].word_list | N | List | | List of words registered in the policy | | [].word_list_length | Y | number | | Number of words registered in the policy | | [].rule_name | Y | string | | Stop word policy name | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain/car_beta/stopword HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: +Ln++MqcKHckKli2y/bB76xLUu8qR9rLvo6j2yIYuYg= x-ncp-apigw-timestamp: 1551453306138 hasWordList: false ``` ### Request Example ``` [ { "type": "filter", "case_sensitive": true, "word_list_length": 2, "rule_name": "eomi" }, { "type": "filter", "case_sensitive": false, "word_list_length": 7, "rule_name": "josa" } ] ```